# $Revision: 1.41 $, $Date: 2011/11/04 20:35:08 $
#
# Conditional build:
%bcond_without	emacs	# Emacs mode
#
Summary:	Program for learning typist
Summary(hu.UTF-8):	Program gépírás tanulásához
Summary(pl.UTF-8):	Program do nauki bezwzrokowego pisania na klawiaturze
Name:		gtypist
Version:	2.9
Release:	1
License:	GPL v3+
Group:		Applications/Text
Source0:	http://ftp.gnu.org/gnu/gtypist/%{name}-%{version}.tar.xz
# Source0-md5:	6403c43acceffa3f15ce975bab8f562f
Patch0:		%{name}-info.patch
Patch1:		%{name}-pl.po.patch
URL:		http://www.gnu.org/software/gtypist/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.8.2
%{?with_emacs:BuildRequires:	emacs}
BuildRequires:	gettext-devel >= 0.12.1
BuildRequires:	ncurses-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
Obsoletes:	typist
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program came from a desire to learn 'proper' typing.

%description -l hu.UTF-8
Ez a program a gépírás tanulásához íródott.

%description -l pl.UTF-8
Program do nauki bezwzrokowego pisania na klawiaturze. Oferuje kilka
lekcji, na razie tylko po angielsku.

%package emacs
Summary:	Emacs mode for editing gtypist's .typ files
Summary(pl.UTF-8):	Tryb Emacsa do edycji plików .typ gtypista
Group:		Applications/Editors/Emacs
# doesn't require gtypist itself

%description emacs
Emacs mode for editing gtypist's .typ files.

%description emacs -l pl.UTF-8
Tryb Emacsa do edycji plików .typ gtypista.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure
# info creation fails randomly with big -j
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS QUESTIONS README THANKS TODO
%attr(755,root,root) %{_bindir}/gtypist
%attr(755,root,root) %{_bindir}/typefortune
%{_datadir}/%{name}
%{_mandir}/man1/gtypist.1*
%{_mandir}/man1/typefortune.1*
%{_infodir}/gtypist.info*
%lang(cs) %{_infodir}/gtypist.cs.info*
%lang(es) %{_infodir}/gtypist.es.info*

%if %{with emacs}
%files emacs
%defattr(644,root,root,755)
%{_datadir}/emacs/site-lisp/gtypist-mode.el*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtypist.spec,v $
Revision 1.41  2011/11/04 20:35:08  qboosh
- updated to 2.9
- updated info,pl.po patches (the latter now just updates existing pl translation)
- removed obsolete ncurses patch

Revision 1.40  2011/09/26 15:03:17  qboosh
- try -j1

Revision 1.39  2011/09/18 16:10:27  qboosh
- restored and updated my old pl.po

Revision 1.38  2011/09/18 15:57:00  qboosh
- added info patch (unify direntries)
- emacs mode BRs emacs; added bcond and meaningful description for this subpackage
- updated descs and GPL version

Revision 1.37  2011/09/13 14:51:15  draenog
- up to 2.8.5

Revision 1.36  2011/09/01 17:05:15  arekm
- release 3

Revision 1.35  2011/08/31 18:31:45  arekm
- release 2

Revision 1.34  2009/04/07 16:55:09  uzsolt
- 2.8.3
- emacs subpackage
- hungarizing

Revision 1.33  2008/01/24 01:23:00  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.32  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.31  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.30  2006/07/23 20:38:11  jareq
- remove BR to xemacs (it's not needed)

Revision 1.29  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.28  2004/12/20 18:58:08  qboosh
- BR: texinfo

Revision 1.27  2004/01/31 15:09:06  undefine
- update BR to xemacs... stupid but needed.

Revision 1.26  2004/01/21 22:06:27  qboosh
- cleanup, release 1 (for Ac)

Revision 1.25  2003/10/12 01:11:24  qboosh
- simplified texinfo-fix patch (use symlink in prep, so there is no need to
  updated version.cs.texi in patch on each upgrade)
- updated pl.po patch, removed stamp-po to force building pl.gmo
- removed obsolete getttext patch

Revision 1.24  2003/09/30 13:05:58  undefine
- starting upgrade to 2.7

Revision 1.23  2003/05/28 12:59:03  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 05:48:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2002/11/06 10:32:27  ankry
- release 2 for Ac

Revision 1.20  2002/11/03 14:43:49  qboosh
- fixed gettext patch to work with gettext 0.11.5, added pl.po patch

Revision 1.19  2002/10/31 21:28:00  filon
- updated to 2.6.2
- added gettext patch, STBR

Revision 1.18  2002/10/09 13:14:29  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.17  2002/05/25 16:59:50  qboosh
- new %%doc
- texinfo-fix patch to allow build with current texinfo
- fixed build with gettext < 0.11

Revision 1.16  2002/05/21 23:13:32  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.15  2002/04/29 19:46:47  filon
- updated to 2.6
- BuildRequires: automake >= 1.6
- updated ncurses patch

Revision 1.14  2002/04/25 16:32:06  arturs
fixed a small typo

Revision 1.13  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.12  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/01 00:01:51  ankry
- added Group(fr)

Revision 1.9  2002/01/22 13:08:37  qrczak
- Don't include %{_infodir}/dir.gz in %%files.
- Release 2.

Revision 1.8  2002/01/22 08:59:26  filon
- updated to 2.5, STB

Revision 1.7  2002/01/18 02:13:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/12/08 01:01:16  qboosh
- added info patch, release 2

Revision 1.5  2001/11/22 12:39:23  kloczek
- cosmetics.

Revision 1.4  2001/11/22 12:38:23  kloczek
- "rm -f missing" on top %build.

Revision 1.3  2001/11/17 21:28:00  filon
- update to 2.4.1

Revision 1.2  2001/11/11 13:13:55  qboosh
- Obsoletes: typist
- BuildRequires: autoconf, automake
- cleanup
- release 2

Revision 1.1  2001/11/04 22:05:19  filon
- spec form typist package, it's name has changed
- updated to 2.4
- changes in URL's
- provides: typist
- removed old patches, added ncurses patch
- added rebuilding configuration files
- changes in files
- added localization files

Revision 1.7  2001/10/03 11:20:34  qboosh
- added URLs (note: 2.3.1 on ftp)

Revision 1.6  2001/01/18 23:33:25  kloczek
- add also %%{_datadir}/%%{name} directory to %files.

Revision 1.5  2001/01/18 15:14:12  zagrodzki
- release 3
- fixed paths (/usr/local/lib -> /usr/lib)
- typos in spec
- adapterized

Revision 1.4  2000/07/13 23:28:01  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.3  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/06/06 23:04:31  dobrek
Atributes were facked.

Revision 1.1  2000/05/26 21:48:04  dobrek
First realase. this is the program to learning proper typing.
